diff --git a/doc/activitydiagrams/subscriber/srtsubscriber/urtSrtSubscriberSubscribe.uml b/doc/activitydiagrams/subscriber/srtsubscriber/urtSrtSubscriberSubscribe.uml
new file mode 100644
index 0000000..0605334
--- /dev/null
+++ b/doc/activitydiagrams/subscriber/srtsubscriber/urtSrtSubscriberSubscribe.uml
@@ -0,0 +1,112 @@
+/'
+µRtWare is a lightweight publish/subscribe middleware for real-time
+applications. It was developed as part of the software habitat for the
+Autonomous Mini Robot [1] (AMiRo) but can be used for other purposes as well.
+
+Copyright (C) 2018..2020  Thomas Schöpping et al.
+
+This program is free software: you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation, either version 3 of the License, or
+(at your option) any later version.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
+'/
+
+/'### INTRO ##################################################################'/
+
+@startuml
+
+title **µRtWare**\nurtSrtSubscriberSubscribe()\n
+
+!include ../../functions.iuml
+
+/'### PARAMETERS & RETURN ####################################################'/
+
+note
+  -- **subscriber** : urt_srtsubscriber_t* --
+  The SRT subscriber which shall subscribe to a topic.
+  Must not be ""NULL"".
+  -- **topic** : urt_topic_t* --
+  The topic to subscribe to.
+  Must not be ""NULL"".
+  -- **messages** : urt_message_t* --
+  ""NULL"" terminated list of messages to contribute to the topic.
+  Messages must not be associated to another topic.
+  Once a message has been contributed, it cannot be removed later.
+  May be ""NULL"" (no messages to contribute).
+  -- **usefulnesscb** : urt_srtusefulnessfunc_t* --
+  Pointer to a function to calculate usefulness of a message.
+  Must not be ""NULL"".
+  -- **cbparams** : void* --
+  Optional parameters for the usefulness callback.
+  May be ""NULL"" if the callback expects no parameters.
+  ====
+  -- **return** : urt_status_t --
+  Returns ""URT_STATUS_OK"" on success.
+  Returns ""URT_STATUS_SUBSCRIBE_TOPICSET"" if the subscriber is already associated to a topic.
+endnote
+
+/'### PROCEDURE ##############################################################'/
+
+start
+if (Is topic already set?) then (yes)
+  stop
+  note
+    Returns ""URT_STATUS_SUBSCRIBE_TOPICSET"".
+  endnote
+else (no)
+  fork
+    :set topic;
+  fork again
+    :initialize callback;
+    note
+      * **usefulnesscb** ← usefulnesscb
+      * **cbparams** ← cbparams
+    endnote
+  fork again
+    #EEEEEE:initialize members;
+    note #EEEEEE
+      -- urt_basesubscriber_t --
+      .. URT_CFG_PUBSUB_PROFILING == true ..
+      * **sumLatencies** ← 0
+      * **numMessagesReceived** ← 0
+      -- urt_srtsubscriber_t --
+      .. URT_CFG_PUBSUB_PROFILING == true ..
+      * **minLatency** ← 0xF..F
+      * **maxLatency** ← 0
+    endnote
+  endfork
+  :lock topic;
+  fork
+    if (Messages to contribute?) then (yes)
+      $contribute_messages()
+    else (no)
+    endif
+  fork again
+    fork
+      :set message pointer to topic's latest message;
+    fork again
+      :copy timestamp from topic's latest message;
+    endfork
+  fork again
+    :register to topic's event source;
+  fork again
+    #EEEEEE:..//URT_CFG_PUBSUB_PROFILING == true//..\nincrement counter of subscribers (@topic);
+  endfork
+  :unlock topic;
+  stop
+  note
+    Returns ""URT_STATUS_OK"".
+  endnote
+endif
+
+/'### OUTRO ##################################################################'/
+
+@enduml
diff --git a/doc/activitydiagrams/subscriber/srtsubscriber/urtSrtSubscriberUnsubscribe.uml b/doc/activitydiagrams/subscriber/srtsubscriber/urtSrtSubscriberUnsubscribe.uml
new file mode 100644
index 0000000..1bdf1c0
--- /dev/null
+++ b/doc/activitydiagrams/subscriber/srtsubscriber/urtSrtSubscriberUnsubscribe.uml
@@ -0,0 +1,71 @@
+/'
+µRtWare is a lightweight publish/subscribe middleware for real-time
+applications. It was developed as part of the software habitat for the
+Autonomous Mini Robot [1] (AMiRo) but can be used for other purposes as well.
+
+Copyright (C) 2018..2020  Thomas Schöpping et al.
+
+This program is free software: you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation, either version 3 of the License, or
+(at your option) any later version.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
+'/
+
+/'### INTRO ##################################################################'/
+
+@startuml
+
+title **µRtWare**\nurtSrtSubscriberUnsubscribe()\n
+
+/'### PARAMETERS & RETURN ####################################################'/
+
+note
+  -- **subscriber** : urt_srtsubscriber_t* --
+  The SRT subscriber to be unsubscribed.
+  Must not be ""NULL"".
+  ====
+  -- **return** : urt_status_t --
+  Returns ""URT_STATUS_OK"" on sucess.
+  Returns ""URT_STATUS_UNSUBSCRIBE_NOTOPIC"" if the subscriber is not associated to a topic.
+endnote
+
+/'### PROCEDURE ##############################################################'/
+
+start
+if (Associated to a topic?) then (yes)
+  #EEEEEE:..//URT_CFG_PUBSUB_PROFILING == true//..\nlock topic;
+  fork
+    :unregister event;
+  fork again
+    #EEEEEE:..//URT_CFG_PUBSUB_PROFILING == true//..\ndecrement counter of subscribers (@topic);
+  endfork
+  #EEEEEE:..//URT_CFG_PUBSUB_PROFILING == true//..\nunlock topic;
+  :reset members;
+  note
+    -- urt_basesubscriber_t --
+    * **topic** ← ""NULL""
+    * **lastMessage** ← ""NULL""
+    * **lastMessageTime** ← 0
+  endnote
+  stop
+  note
+    Returns ""URT_STATUS_OK"".
+  endnote
+else (no)
+  stop
+  note
+    Returns ""URT_STATUS_UNSUBSCRIBE_NOTOPIC"".
+  endnote
+endif
+
+/'### OUTRO ##################################################################'/
+
+@enduml
diff --git a/doc/activitydiagrams/topic/urtTopicInit.uml b/doc/activitydiagrams/topic/urtTopicInit.uml
index be8c5ae..5f60fde 100644
--- a/doc/activitydiagrams/topic/urtTopicInit.uml
+++ b/doc/activitydiagrams/topic/urtTopicInit.uml
@@ -36,7 +36,7 @@ note
   ====
   -- **return** : urt_status_t --
   Returns ""URT_STATUS_OK"" on success.
-  Returns ""URT_STATUS_ERROR"" if another topic with the same identifier already exists.
+  Returns ""URT_STATUS_TOPIC_DUPLICATE"" if another topic with the same identifier already exists.
 endnote
 
 /'### PROCEDURE ##############################################################'/
@@ -44,20 +44,21 @@ endnote
 start
 :initialize members;
 note
-  **next** ← ""NULL""
-  **id** ← id
-  urtMutexInit(**lock**)
-  urtEventSourceInit(**evtSource**)
-  **numHrtSubscriber** ← 0
-  **hrtSubscribers** ← ""NULL""
-  urtCondvarInit(**hrtReleased**)
-  urtMessageInit(**mandatoryMessage**)
-  **latestMessage** ← &mandatoryMessage
+  * **next** ← ""NULL""
+  * **id** ← id
+  * urtMutexInit(**lock**)
+  * urtEventSourceInit(**evtSource**)
+  * **numHrtSubscriber** ← 0
+  * urtCondvarInit(**hrtReleased**)
+  * urtMessageInit(**mandatoryMessage**)
+  * **latestMessage** ← &mandatoryMessage
   .. URT_CFG_PUBSUB_QOS_RATECHECKS == true ..
-  urtTimerInit(**qosRateTimer**)
+  * **hrtSubscribers** ← ""NULL""
+  * urtTimerInit(**qosRateTimer**)
   .. URT_CFG_PUBSUB_PROFILING == true ..
-  **numDiscardedMessages** ← 0
-  **numSubscribers** ← 0
+  * **numMessagesPublished** ← 0
+  * **numMessagesDiscarded** ← 0
+  * **numSubscribers** ← 0
 endnote
 :close circular message buffer;
 note
@@ -86,7 +87,7 @@ else (no)
   :unlock core;
   stop
   note
-    Returns ""URT_STATUS_ERROR"".
+    Returns ""URT_STATUS_TOPIC_DUPLICATE"".
   endnote
 endif
 
diff --git a/doc/classdiagrams/config.uml b/doc/classdiagrams/config.uml
index 2caf27f..87de3bb 100644
--- a/doc/classdiagrams/config.uml
+++ b/doc/classdiagrams/config.uml
@@ -25,7 +25,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 title **µRtWare**\nConfiguration
 
-!include ../functions.iuml
+!include ./functions.iuml
 
 /'### ENTITIES ###############################################################'/
 
diff --git a/doc/classdiagrams/functions.iuml b/doc/classdiagrams/functions.iuml
new file mode 100644
index 0000000..a2d09f8
--- /dev/null
+++ b/doc/classdiagrams/functions.iuml
@@ -0,0 +1,60 @@
+/'
+µRtWare is a lightweight publish/subscribe middleware for real-time
+applications. It was developed as part of the software habitat for the
+Autonomous Mini Robot [1] (AMiRo) but can be used for other purposes as well.
+
+Copyright (C) 2018..2020  Thomas Schöpping et al.
+
+This program is free software: you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation, either version 3 of the License, or
+(at your option) any later version.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
+'/
+
+/' Generate a configuration object. '/
+!function $configuration($name)
+  class $name <<C,BFBFBF>>
+!endfunction
+
+/' Generate a enumeration definition. '/
+!function $enumeration($name)
+  class $name <<E,FF7F3F>>
+!endfunction
+
+/' Generate a type definition. '/
+!function $type($name)
+  class $name <<T,00CFFF>>
+!endfunction
+
+/' Generate a structure definition. '/
+!function $structure($name)
+  class $name <<S,BFAFFF>>
+!endfunction
+
+/' generate a union structure definition '/
+!function $union($name)
+  class $name <<U,7FCF7F>>
+!endfunction
+
+/' Generate a function declaration. '/
+!function $function($name)
+  class $name <<F,E0E0E0>>
+!endfunction
+
+/' Generate a group. '/
+!function $group($name)
+  package "$name" <<Rectangle>>
+!endfunction
+
+!function $module($name)
+  package "$name" <<Node>>
+!endfunction
+
diff --git a/doc/classdiagrams/osal.uml b/doc/classdiagrams/osal.uml
index e5d5765..f0746a8 100644
--- a/doc/classdiagrams/osal.uml
+++ b/doc/classdiagrams/osal.uml
@@ -25,7 +25,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 title **µRtWare**\nOperating System Abstraction Layer (OSAL)
 
-!include ../functions.iuml
+!include ./functions.iuml
 
 /'### ENTITIES ###############################################################'/
 
diff --git a/doc/classdiagrams/overview.uml b/doc/classdiagrams/overview.uml
index db74f01..86122d4 100644
--- a/doc/classdiagrams/overview.uml
+++ b/doc/classdiagrams/overview.uml
@@ -25,7 +25,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 title **µRtWare**\nOverview\n
 
-!include ../functions.iuml
+!include ./functions.iuml
 
 /'### ENTITIES ###############################################################'/
 
diff --git a/doc/classdiagrams/primitives.uml b/doc/classdiagrams/primitives.uml
index 93bda57..28d5944 100644
--- a/doc/classdiagrams/primitives.uml
+++ b/doc/classdiagrams/primitives.uml
@@ -25,7 +25,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 title **µRtWare**\nPrimitives
 
-!include ../functions.iuml
+!include ./functions.iuml
 
 /'### ENTITIES ###############################################################'/
 
@@ -68,11 +68,39 @@ $type("urt_serviceid_t") {
 }
 
 /' Well defined error codes. '/
-$type("urt_status_t") {
-    'No bit set indicates success.
-  URT_STATUS_OK = 0x0..0
-    'MSB set indicates an error.
-  URT_STATUS_ERROR = 0x8..0
+$enumeration("urt_status_t") {
+    'Staus indicating success.
+  URT_STATUS_OK = 0
+    'Error status indicating a violated HRT deadline.
+  URT_STATUS_DEADLINEVIOLATION
+    'Error status indicating violated HRT jitter.
+  URT_STATUS_JITTERVIOLATION
+    'Error status indicating a violated HRT rate.
+  URT_STATUS_RATEVIOLATION
+    'Synchronization status indicating that further nodes need to synchronize.
+  URT_STATUS_SYNC_PENDING
+    'Synchronization status indicating a synchronization error.
+  URT_STATUS_SYNC_ERROR
+    'Status indicating that a node's ""_main"" thread encountered an invalid event mask.
+  URT_STATUS_NODE_INVALEVTMASK
+  .. URT_CFG_PUBSUB_ENABLED == true ..
+    'Status indicating that another topic with identical ID has been found.
+  URT_STATUS_TOPIC_DUPLICATE
+    'Status indicating a timeout during a urtPublisherPublish() call.
+  URT_STATUS_PUBLISH_TIMEOUT
+    'Status indicating that the topic was already set.
+  URT_STATUS_SUBSCRIBE_TOPICSET
+    'Status indicating that there is no associated topic.
+  URT_STATUS_FETCH_NOTOPIC
+    'Status indicating that there is no (new) message.
+  URT_STATUS_FETCH_NOMESSAGE
+    'Status indicating that there is no topic to unsubscribe from.
+  URT_STATUS_UNSUBSCRIBE_NOTOPIC
+  .. URT_CFG_RPC_ENABLED == true ..
+    'Status indicating that another service with identical ID has been found.
+  URT_STATUS_SERVICE_DUPLICATE
+    'Status indicating that a service call timed out.
+  URT_STATUS_SERVICE_TIMEOUT
 }
 
 /' Temporal delay in microseconds. '/
diff --git a/doc/classdiagrams/pubsub.uml b/doc/classdiagrams/pubsub.uml
index ee75846..9ad88b3 100644
--- a/doc/classdiagrams/pubsub.uml
+++ b/doc/classdiagrams/pubsub.uml
@@ -25,7 +25,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 title **µRtWare**\nPublish-Subscribe System
 
-!include ../functions.iuml
+!include ./functions.iuml
 
 /'### ENTITIES ###############################################################'/
 
@@ -46,7 +46,7 @@ $structure("urt_message_t") {
   + {field} numConsumersLeft : unsigned int
   __
     'Initializes a urt_message_t object.
-  + {method} urtMessageInit (message : urt_message_t*, payload : void*) : urt_status_t
+  + {method} urtMessageInit (message : urt_message_t*, payload : void*) : void
 }
 
 $group("subscriber") {
@@ -82,7 +82,7 @@ $group("subscriber") {
     + {field} maxLatency : urt_delay_t
     __
       'Initializes a urt_nrtsubscriber_t object.
-    + {method} urtNrtSubscriberInit (subscriber : urt_nrtsubscriber_t*) : urt_status_t
+    + {method} urtNrtSubscriberInit (subscriber : urt_nrtsubscriber_t*) : void
       'Tries to subscribe to a topic and optionally contributes a list of messages to the topic.
     + {method} urtNrtSubscriberSubscribe (subscriber : urt_nrtsubscriber_t*, topic : urt_topic_t*, messages : urt_message_t*) : urt_status_t
       'Fetches the next message in the buffer, optionally copies the payload and optionally returns the latency.
@@ -106,7 +106,7 @@ $group("subscriber") {
     + {field} maxLatency : urt_delay_t
     __
       'Initializes a urt_srtsubscriber_t object.
-    + {method} urtSrtSubscriberInit (subscriber : urt_srtsubscriber_t*) : urt_status_t
+    + {method} urtSrtSubscriberInit (subscriber : urt_srtsubscriber_t*) : void
       'Tries to subscribe to a topic, sets all parameters and optionally contributes a list of messages to the topic.
     + {method} urtSrtSubscriberSubscribe (subscriber : urt_srtsubscriber_t*, topic : urt_topic_t*, messages : urt_message_t*, usefulnesscb : urt_srtusefulnessfunc_t*, cbparams : void*) : urt_status_t
       'Fetches the next message in the buffer, optionally copies the payload and optionally returns the latency.
@@ -134,7 +134,7 @@ $group("subscriber") {
     + {field} maxLatency : urt_delay_t
     __
       'Initializes a urt_frtsubscriber_t object.
-    + {method} urtFrtSubscriberInit (subscriber : urt_frtsubscriber_t*) : urt_status_t
+    + {method} urtFrtSubscriberInit (subscriber : urt_frtsubscriber_t*) : void
       'Tries to subscribe to a topic, sets all parameters and optionally contributes a list of messages to the topic.
     + {method} urtFrtSubscriberSubscribe (subscriber : urt_frtsubscriber_t*, topic : urt_topic_t*, messages : urt_message_t*, deadline : urt_delay_t, jitter : urt_delay_t) : urt_status_t
       'Fetches the next message in the buffer, optionally copies the payload and optionally returns the latency.
@@ -169,7 +169,7 @@ $group("subscriber") {
     + {field} expectedRate : urt_delay_t
     __
       'Initializes a urt_hrtsubscriber_t object.
-    + {method} urtHrtSubscriberInit (subscriber : urt_hrtsubscriber_t*) : urt_status_t
+    + {method} urtHrtSubscriberInit (subscriber : urt_hrtsubscriber_t*) : void
       'Tries to subscribe to a topic, sets all parameters and optionally contributes a list of messages to the topic.
     + {method} urtHrtSubscriberSubscribe (subscriber : urt_hrtsubscriber_t*, topic : urt_topic_t*, messages : urt_message_t*, deadline : urt_delay_t, rate : urt_delay_t, jitter : urt_delay_t) : urt_status_t
       'Fetches the next message in the buffer, optionally copies the payload and optionally returns the latency.
@@ -192,9 +192,9 @@ $structure("urt_publisher_t") {
   + {field} publishFails : uint64_t
   __
     'Initializes a urt_publisher_t object and contributes an optional list of messages.
-  + {method} urtPublisherInit (publisher : urt_publisher_t*, topic : urt_topic_t*, messages : urt_message_t*) : urt_status_t
+  + {method} urtPublisherInit (publisher : urt_publisher_t*, topic : urt_topic_t*, messages : urt_message_t*) : void
     'Publishes a message via the associated topic.
-  + {method} urtPublisherPublish (publisher : urt_publisher_t*, payload : void*, n : size_t, t : urt_osTime_t, timeout : urt_delay_t) : urt_status_t
+  + {method} urtPublisherPublish (publisher : urt_publisher_t*, payload : void*, bytes : size_t, t : urt_osTime_t, timeout : urt_delay_t) : urt_status_t
 }
 
 /' Topic type. '/
@@ -209,8 +209,6 @@ $structure("urt_topic_t") {
   + {field} evtSource : urt_osEventSource_t
     'Number of HRT subscribers.
   + {field} numHrtSubscribers : unsigned int
-    'List of HRT subscribers, orderd by their expected rate (most critical first).
-  + {field} hrtSubscribers : urt_hrtsubscriber_t*
     'Condition variable to inform waiting publishers when a blocked message becomes available.
   + {field} hrtReleased : urt_osCondvar_t
     'Mandatory message, each Topic holds.
@@ -218,11 +216,15 @@ $structure("urt_topic_t") {
     'Pointer to the latest message.
   + {field} latestMessage : urt_message_t*
   .. URT_CFG_PUBSUB_QOS_RATECHECKS == true ..
+    'List of HRT subscribers, orderd by their expected rate (most critical first).
+  + {field} hrtSubscribers : urt_hrtsubscriber_t*
     'Timer to check for missed rates.
   + {field} qosRateTimer : urt_osTimer_t
   .. URT_CFG_PUBSUB_PROFILING == true ..
-    'Variable to count how many (non-hrt) subscribers did not fetch a message before it was reused.
-  + {field} numDiscardedMessages : uint64_t
+    'Number of overall published messages on this topic.
+  + {field} numMessagesPublished : uint64_t
+    'Variable to count how often (non-hrt) subscribers did not fetch a message before it was reused.
+  + {field} numMessagesDiscarded : uint64_t
     'Number of overall subscribers.
   + {field} numSubscribers : unsigned int
   __
diff --git a/doc/classdiagrams/rpc.uml b/doc/classdiagrams/rpc.uml
index 5888e43..78fb60d 100644
--- a/doc/classdiagrams/rpc.uml
+++ b/doc/classdiagrams/rpc.uml
@@ -25,7 +25,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 title **µRtWare**\nRemote Procedure Call System
 
-!include ../functions.iuml
+!include ./functions.iuml
 
 /'### ENTITIES ###############################################################'/
 
@@ -53,7 +53,6 @@ $structure("urt_service_t") {
   + {field} numCalls : uint64_t
     'Number of failed calls due to timeout.
   + {field} numTimeouts : uint64_t
-  .. URT_CFG_RPC_QOS_JITTERCHECKS == true || URT_CFG_RPC_PROFILING == true  ..
     'Minimum duration ever detected (to calculate jitter).
   + {field} minDuration : urt_delay_t
     'Maximum duration ever detected (to calculate jitter).
diff --git a/doc/classdiagrams/urtware.uml b/doc/classdiagrams/urtware.uml
index bced257..2d09b2c 100644
--- a/doc/classdiagrams/urtware.uml
+++ b/doc/classdiagrams/urtware.uml
@@ -25,7 +25,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 title **µRtWare**
 
-!include ../functions.iuml
+!include ./functions.iuml
 
 /'### ENTITIES ###############################################################'/
 
@@ -49,11 +49,11 @@ $structure("urt_core_t") {
   - {field} {static} _services : urt_service_t*
   __
     'Initializes the urt_core_t object.
-  + {method} urtCoreInit (void) : urt_status_t
+  + {method} urtCoreInit (void) : void
     'Retrieves the current system status.
   + {method} urtCoreGetStatus (void) : urt_status_t
     'Starts all node threads (nodes will block before the loop).
-  + {method} urtCoreStartNodes (void) : urt_status_t
+  + {method} urtCoreStartNodes (void) : void
     'Nodes can use this function to synchronize.
   + {method} urtCoreSynchronize (node : urt_node_t*) : urt_status_t
     'Stops all nodes and propagates a specified reason.
@@ -114,7 +114,7 @@ $group("node") {
     'The main() function of the node thread.
     - {method} {static} _main : urt_osThreadFunction_t
       'Initializes an urt_node_t object.
-    + {method} urtNodeInit (node : urt_node_t*, thread : urt_osThread_t*, setupcallback : urt_nodeSetupCallback_t*, setupparams : void*, loopcallback : urt_nodeLoopCallback_t*, loopparams : void*, shutdowncallback : urt_nodeShutdownCallback_t*, shutodwnparams : void*) : urt_status_t
+    + {method} urtNodeInit (node : urt_node_t*, thread : urt_osThread_t*, setupcallback : urt_nodeSetupCallback_t*, setupparams : void*, loopcallback : urt_nodeLoopCallback_t*, loopparams : void*, shutdowncallback : urt_nodeShutdownCallback_t*, shutodwnparams : void*) : void
   }
 } /'node'/
 
